#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const server_1 = require("./server");
program
    .version(require('../package.json').version)
    .option('--stdio', 'use stdio')
    .option('--node-ipc', 'use node-ipc')
    .option('--socket', 'use socket. example: --socket=5000')
    .parse(process.argv);
if (!(program.stdio || program.socket || program['node-ipc'])) {
    console.log('Connection type required (stdio, node-ipc, socket). Refer help for more details.');
    process.exit(1);
}
new server_1.Server({}).listen();
